/*
**      $VER: msql_protos.h 1.1 (26.02.98)
**
**      prototypes for msql.library
**
**      (C) Copyright 1998 Christophe Sollet
**      All Rights Reserved.
*/

#ifndef CLIB_MSQL_PROTOS_H
#define CLIB_MSQL_PROTOS_H

#ifndef MSQL_MSQLBASE_H
#endif

#ifndef MSQL_MSQL_H
#include <libraries/msql.h>
#endif

struct MsqlConnection *MsqlAllocConnection(void);
void MsqlFreeConnection(struct MsqlConnection *);
char *MsqlGetErrMsg(struct MsqlConnection *);
struct MsqlConnection *MsqlConnect(struct MsqlConnection *, char *);
int	MsqlSelectDB(struct MsqlConnection *, char *);
int	MsqlQuery(struct MsqlConnection *, char *);
int	MsqlCreateDB(struct MsqlConnection *, char *);
int	MsqlDropDB(struct MsqlConnection *, char *);
int	MsqlShutdown(struct MsqlConnection *);
int	MsqlGetProtoInfo(struct MsqlConnection *);
int	MsqlReloadAcls(struct MsqlConnection *);
char *MsqlGetServerInfo(struct MsqlConnection *);
char *MsqlGetHostInfo(struct MsqlConnection *);
void MsqlClose(struct MsqlConnection *);
void MsqlDataSeek(struct MsqlConnection *, m_result *, int);
void MsqlFieldSeek(struct MsqlConnection *, m_result *, int);
void MsqlFreeResult(struct MsqlConnection *,  m_result *);
m_row MsqlFetchRow(struct MsqlConnection *, m_result *);
m_field	*MsqlFetchField(struct MsqlConnection *, m_result *);
m_result *MsqlListDBs(struct MsqlConnection *);
m_result *MsqlListTables(struct MsqlConnection *);
m_result *MsqlListFields(struct MsqlConnection *, char *);
m_result *MsqlListIndex(struct MsqlConnection *, char *, char *);
m_result *MsqlStoreResult(struct MsqlConnection *);
int MsqlLoadConfigFile(struct MsqlConnection *, char *);
int MsqlGetIntConf(struct MsqlConnection *, char *);
char *MsqlGetCharConf(struct MsqlConnection *, char *);

#endif
